using System.ComponentModel;

namespace YBEE.EQM.Core;

/// <summary>
/// 数据范围类型
/// </summary>
public enum DataScopeType
{
    /// <summary>
    /// 无
    /// </summary>
    [Description("无")]
    NONE = 0,
    /// <summary>
    /// 仅本人
    /// </summary>
    [Description("仅本人")]
    SELF = 1,
    /// <summary>
    /// 本部门
    /// </summary>
    [Description("本部门")]
    DEPT = 2,
    /// <summary>
    /// 全部
    /// </summary>
    [Description("全部")]
    ALL = 3
}